Page MenuHomePhabricator

Introduction to Phragile
Closed, ResolvedPublic

Description

Phragile was developed as an university project in cooperation with WMDE and it allows agile software development teams to get sprint overviews and burndown charts for Phabricator projects. See the original announcement here: https://lists.wikimedia.org/pipermail/teampractices/2015-January/000569.html

This session aims to provide an introduction to the software and its functionality with some time for questions and discussion afterwards. More details to follow.

Presentation

(link)

Participants

Jakob presenting + 18 participants.

@Jakob_WMDE, @hoo, @Tobi_WMDE_SW, @greg, @Rdicerb, @atgo, @Christopher, @Aklapper, @Qgil, @Awjrichards, @daniel, @TheDJ @Abraham (there more users, please add)

Demo

A demo was performed. Is there a way for people to try themselves?

Hacking this weekend

  • Burnup charts
  • Deployments (i.e. how to use Puppet)
  • UI/UX

Questions

  • "Triggers" will make it possible to define certain actions that are executed when a task is being moved on a workboard
  • Dependencies? Nothing?
    • Start-End dates need to be introduced in Phragile because it's not supported by the API. Reading custom fields for projects through the API would be a nice thing to hack on during the next days.
    • Story points can be read from API, though.
  • Does upstream know about Phragile (in short, probably not).
  • People can test it at https://phragile.herokuapp.com
  • Pieces of Sprint extension upstream? Depends on their timing and schedule. They seem to think that Sprint extension as is is too narrow. They might be interested in pieces of it, because in general there is not much on project management process.
  • Maintenance. WMDE is working on having a team committing to the maintenance of Phragile. Phragile has less dependencies than Sprint, relies only on Conduit API.
  • UI connecting Phabricator and Phragile? Right now separate, could be coupled though so Phabr users would see the link from the UI.

Event Timeline

Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW assigned this task to Jakob_WMDE.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 8:41 AM
Jakob_WMDE set Security to None.Apr 2 2015, 9:38 AM
Jakob_WMDE added a subscriber: Qgil.
greg added a subscriber: greg.Apr 6 2015, 6:47 PM
Qgil added a comment.May 7 2015, 2:05 PM

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

Hi @Qgil, yes the session is still planned. And we have discussed with @Awjrichards to have a break down into two session. I think a Intro session ~60 min to discuss phragile and to give interest people a walk through. Further we want to hack together with interested people on phragile. Therefore, we will provide a sprint backlog.

Details will be posted by @Jakob_WMDE about this (yet, we are coordinating details with @Awjrichards and @ksmith and the team practice people).

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil updated the task description. (Show Details)May 23 2015, 12:38 PM
Qgil added subscribers: hoo, Rdicerb, atgo and 2 others.
Tobi_WMDE_SW added a subscriber: Rdicerb.
Abraham updated the task description. (Show Details)May 23 2015, 1:20 PM
Qgil closed this task as Resolved.May 24 2015, 7:51 PM